/*
Készítsünk egy Szamolo osztályt, mely tartalmazzon egy Kalk metódust, amely adott műveleti kódra elvégzi a két operandus 
között a megfelelő műveleteket. A Kalk metódust az adatokat az osztály adattagjaiból vegye; ezeket a főprogram közvetlenül érje el. 
A főprorgam ebből készítsen egy Kiszamol nevű példányt, kérjen be két operandust és egy műveleti kódot, végeztesse el a műveleteket, 
majd írja ki az eredményt.
*/


namespace _2023._11._15;

class Szamolo
{
    private double operand1;
    private double operand2;

    public Szamolo(double operand1, double operand2)
    {
        this.operand1 = operand1;
        this.operand2 = operand2;
    }

    public double Kalk(char operatorCode)
    {
        switch(operatorCode)
        {
            case '+':
                return operand1 + operand2;
            case '-':
                return operand1 + operand2;
            case '*':
                return operand1 * operand2;
            case '/':
                if (operand2 != 0)
                {
                    return operand1 / operand2;
                }

                else
                {
                    throw new DivideByZeroException("Nem értelmezhető a nullával való osztás!");
                }
            default:
                throw new ArgumentException("Nincs ilyen operátor!");
        }
    }
}